summaryrefslogtreecommitdiff
path: root/tests/dev
diff options
context:
space:
mode:
authorsimonb <simonb@NetBSD.org>2021-01-14 04:30:40 +0000
committersimonb <simonb@NetBSD.org>2021-01-14 04:30:40 +0000
commita44e093d6d2ab78cb2a1723b541da25b69f40214 (patch)
tree67644b9d39161ab9dd97eaeb7ced179ef2c76c79 /tests/dev
parentcc6aaf4fb74f212c8f1223e1b8eacbe011858acd (diff)
Unmount and unconfigure in the reverse order that they were done. Fixes
problem with leaving a dangling snapshot configured.
Diffstat (limited to 'tests/dev')
-rwxr-xr-xtests/dev/fss/t_fss.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/dev/fss/t_fss.sh b/tests/dev/fss/t_fss.sh
index aace7626cef..5c6dbf4d38e 100755
--- a/tests/dev/fss/t_fss.sh
+++ b/tests/dev/fss/t_fss.sh
@@ -1,4 +1,4 @@
-# $NetBSD: t_fss.sh,v 1.3 2017/03/15 10:53:15 martin Exp $
+# $NetBSD: t_fss.sh,v 1.4 2021/01/14 04:30:40 simonb Exp $
#
# Copyright (c) 2006, 2007, 2008 The NetBSD Foundation, Inc.
# All rights reserved.
@@ -74,9 +74,9 @@ basic_body() {
basic_cleanup() {
# Unmount our temporary stuff
- umount ${vnd} || true
- fssconfig -u fss0 || true
umount /dev/fss0 || true
+ fssconfig -u fss0 || true
+ umount ${vnd} || true
vndconfig -u ${vnddev} || true
}